summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2017-01-14 20:59:13 +0100
committerAndreas K. Hüttel <dilfridge@gentoo.org>2017-01-14 22:15:05 +0100
commit4594801b80c7d446b4f4e94a52260360648af605 (patch)
tree6037aa5b26340ba255b061de2eba624598415b43 /app-admin/kpcli
parentnet-analyzer/nagios-core: remove the rest of the unused files. (diff)
downloadgentoo-4594801b80c7d446b4f4e94a52260360648af605.tar.gz
gentoo-4594801b80c7d446b4f4e94a52260360648af605.tar.bz2
gentoo-4594801b80c7d446b4f4e94a52260360648af605.zip
app-admin/kpcli: Version bump, bug 601442
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-admin/kpcli')
-rw-r--r--app-admin/kpcli/Manifest1
-rw-r--r--app-admin/kpcli/kpcli-3.1.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/app-admin/kpcli/Manifest b/app-admin/kpcli/Manifest
index 239e7c5ea7b..835a5bad337 100644
--- a/app-admin/kpcli/Manifest
+++ b/app-admin/kpcli/Manifest
@@ -1,3 +1,4 @@
DIST kpcli-2.7.pl 166288 SHA256 6bb1f7320b4474d6dbb73915393e5df96862f27c6228aa042a810fef46e2b777 SHA512 4a64164cc43b51a2f35a4dc348054e0299a8ac745ac8ca280b43b37b2813200afe2c7ec393ccca6a4e357252f59ca2315e71c87a5e512ff2f2b1569160a76b4e WHIRLPOOL 4b9e4872b6479b7c5757c95d07be6e72c32bb11cdaf559a64bf8f8e94a970c511be44ec566beeb30d805059a5651be90b1438faa08f41ac5ca5e66007d6de4be
DIST kpcli-2.8.pl 176617 SHA256 21351afe96bd8d151cc5b551b9852249199802deac5ed05ba8538f18c308b2ee SHA512 45ed8e67e4a985faa53476d35613ae90f68983d97cc85fba31d92d615cf021e62167179edc733a8acd0ace4eeee910ac8556939ff1cc6c3d6fb6badf5547fab7 WHIRLPOOL a6fe2d2ddb7cd3bb86d809518fa3263c230dff2d4d34639ac41bf5d8284ed1d7c3e78f5b44d3602501586d5a633e2dd32c119aa71bd3596bb52a3d9ab8dbc52d
DIST kpcli-3.0.pl 181841 SHA256 947b7b0485215f72e14bb8936c847abb583253c597f58234650922270259049c SHA512 fb1243ed81408507090ce6e7b06e958f923ac9c64e6994b104605bb85deb08e1b63b28fdb2c5a4eb24e128734b65ecb0209000f08ec9a7644f3d6a8fbb781587 WHIRLPOOL 096d8e516fe2e0cabd605232bd8b1f41d6dec6e5081cc2429ff97aea95e575c3a4faf760c59012a1535494afcf2755710496b394dc9153eb1a99d0738d56c3a0
+DIST kpcli-3.1.pl 193792 SHA256 f1f07704a30d0eae126717d5dae0d24ccced43c316454e4a7b868fe0a239a21a SHA512 2bcfaa4535fd35d7bbf512e704392e207237efa669bf5d6845d1657e44511f04b80fddd4404f3a8d409f330f8bfbb5cf9f1e09fb8a425685b3d7309a8040df5e WHIRLPOOL 832d16d71892933b81bc5d29099118cfd838fa5b96b6766d6a4b732fc579f8dd616441c89ebc2eb5670045da2ca2bd183f83a407111c2db64978986b611f7bf2
diff --git a/app-admin/kpcli/kpcli-3.1.ebuild b/app-admin/kpcli/kpcli-3.1.ebuild
new file mode 100644
index 00000000000..79c8a75613b
--- /dev/null
+++ b/app-admin/kpcli/kpcli-3.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="A command line interface to KeePass database files"
+HOMEPAGE="http://kpcli.sourceforge.net"
+SRC_URI="http://downloads.sourceforge.net/project/kpcli/${P}.pl"
+
+LICENSE="|| ( Artistic GPL-1+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X"
+
+DEPEND=""
+RDEPEND="
+ dev-lang/perl
+ dev-perl/Clone
+ dev-perl/Crypt-Rijndael
+ dev-perl/TermReadKey
+ dev-perl/Sort-Naturally
+ dev-perl/Term-ShellUI
+ >=dev-perl/File-KeePass-0.30.0
+ virtual/perl-File-Spec
+ virtual/perl-Getopt-Long
+ virtual/perl-Digest-MD5
+ virtual/perl-Digest-SHA
+ virtual/perl-Data-Dumper
+ virtual/perl-Term-ANSIColor
+ virtual/perl-Carp
+ X? (
+ dev-perl/Capture-Tiny
+ dev-perl/Clipboard
+ )
+"
+
+src_unpack() {
+ mkdir "${S}" || die
+ cp "${DISTDIR}/${P}.pl" "${S}/${PN}" || die
+}
+
+src_compile() { :; }
+
+src_install() {
+ dobin kpcli
+}